package com.atmob.keyboard_android.component.root

import android.view.View
import com.atmob.keyboard_android.component.base.IUIComponent
import com.atmob.keyboard_android.component.child.IKeyboardGuideComponent.OnActionCallback
import com.atmob.keyboard_android.model.AiKeyboardKeyModel

/**
 * 键盘根组件接口
 */
interface IKeyboardRootComponent : IUIComponent {
    /**
     * 切换到Vip页面
     */
    fun switchVipPage()

    /**
     * 切换到登录页
     */
    fun switchLoginPage()

    /**
     * 切换到设置页
     */
    fun switchSettingPage()

    /**
     * 切换到键盘选择页
     */
    fun switchKeyboardSelectPage()

    /**
     * 切换到键盘页
     */
    fun switchKeyBoardPage()

    /**
     * 显示键盘引导弹窗
     */
    fun showKeyboardGuideDialog(
        targetView: View,
        dataModel: AiKeyboardKeyModel,
        finishCallback: OnActionCallback
    )
}